/************************************************************************//**
 *
 * @file    main.c
 *
 * @brief   This is PWG sample program demonstration for S1C17M20/M21/M22/M23/M24/M25 demonstration.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
/************************************************************************//**
 * @main page	PWG
 *
 * @section		intro Introduction
 * Sample code set PWG.
 *
 * @subsection	step1	Step 1: Set PWG
 *
 * @section		install Installation
 * Start the IDE and import the "s1c17m20_m21_m22_m23_m24_m25_sample" project.
 *
 ***************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include "crt0.h"
#include "c17_misc.h"
#include "c17_pwg.h"
#include "c17_init_config.h"

#if defined(C17_PE_PWG)

/* --- definition --- */


/* --- global variable --- */


int main_pwg(void);

/************************************************************************//**
 * main function.
 *
 * @brief	Set PWG.
 *
 *
 * @return 	EXIT_SUCCESS	Success.
 * @return 	EXIT_FAILURE	Failed.
 ***************************************************************************/
int main_pwg(void)
{

	c17setPwg(C17_PWG_AUTO);

	return EXIT_SUCCESS;
}
#endif

