/************************************************************************//**
 *
 * @file    c17_pwg.h
 *
 * @brief   This is pwg driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_PWG_H__
#define C17_PWG_H__

#include <c17_mcu_select.h>

/* --- definition --- */

enum
{
	C17_PWG_AUTO,
	C17_PWG_RESERVE,
	C17_PWG_NORMAL,
	C17_PWG_ECONOMY
};

/* --- external declaration --- */
extern void c17setPwg(unsigned short pwgMode);

#endif	// C17_PWG_H__

